<template>
<div>
<form class="row g-3 p-5 needs-validation" novalidate>
    
  <div class="col-md-6">
    <label class="form-label">แขวงทางหลวง</label>
    <select class="form-select" id="validationCustom04" required>
      <option selected disabled value="">Choose...</option>
      <option>...</option>
    </select>

  </div>
  <div class="col-md-6">
    <label class="form-label">สำนักงานทางหลวงที่</label>
    <select class="form-select" id="validationCustom04" required>
      <option selected disabled value="">Choose...</option>
      <option>...</option>
    </select>
  </div>

  <div class="col-md-6">
    <label class="form-label">ทางแยก</label>
    <input type="text" class="form-control" id="validationCustom03" required>
  </div>
  
   <h5>รายละเอียดถนนที่ตัดกัน</h5>
  <div class="row g-3 align-items-center">
<div class="col-md-6">
<div class="row g-3 align-items-center">
  <div class="col-auto">
    <label class="col-form-label">ถนนสายหลัก</label>
  </div>
  <div class="col-auto">
    <span id="passwordHelpInline" class="form-text">
        หมายเลขทางหลวง
    </span>
  </div>
  <div class="col-auto">
    <input type="text" id="inputPassword6" class="form-control">
  </div>
</div>
</div>


<div class="col-md-6">
<div class="row g-3 align-items-center">
  <div class="col-auto">
    <label for="inputPassword6" class="col-form-label"></label>
  </div>
  <div class="col-auto">
    <span class="form-text">
        ชื่อทางหลวง
    </span>
  </div>
  <div class="col-auto">
    <input type="text" class="form-control">
  </div>
</div>
</div>
</div>

<div class="row g-3 align-items-center">
<div class="col-md-6">
<div class="row g-3 align-items-center">
  <div class="col-auto">
    <label class="col-form-label">ถนนสายรอง</label>
  </div>
  <div class="col-auto">
    <span class="form-text">
        หมายเลขทางหลวง
    </span>
  </div>
  <div class="col-auto">
    <input type="text" class="form-control">
  </div>
</div>
</div>


<div class="col-md-6">
<div class="row g-3 align-items-center">
  <div class="col-auto">
    <label class="col-form-label"></label>
  </div>
  <div class="col-auto">
    <span class="form-text">
        ชื่อทางหลวง
    </span>
  </div>
  <div class="col-auto">
    <input type="text" class="form-control" >
  </div>
</div>
</div>
</div>


<div class="row">
<div class="col-6">
<div class="mt-5 text-left">
  <h5>ประเภทผิวจราจรเขตทางแยก</h5>
  <div class="form-check form-check-inline">
  <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio1" value="option1">
  <label class="form-check-label" for="inlineRadio1">แอสฟัลต์</label>
  </div>
  <div class="form-check form-check-inline">
  <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio2" value="option2">
  <label class="form-check-label" for="inlineRadio2">คอนกรีต</label>
  </div>
</div>
</div>

<div class="col-6">
  <div class="mt-5 text-left">
  <h5>ทางข้าม (ทางม้าลาย)</h5>
  <p>บนสายหลัก</p>
  <div class="form-check form-check-inline">
  <input class="form-check-input" type="radio" name="inlineRadioOptions3" id="inlineRadio1" value="option3">
  <label class="form-check-label" for="inlineRadio1">มีทางข้าม</label>
  </div>
  <div class="form-check form-check-inline">
  <input class="form-check-input" type="radio" name="inlineRadioOptions3" id="inlineRadio1" value="option4">
  <label class="form-check-label" for="inlineRadio1">ไม่มีทางข้าม</label>
  </div>
  <p>บนสายรอง</p>
  <div class="form-check form-check-inline">
  <input class="form-check-input" type="radio" name="inlineRadioOptions4" id="inlineRadio2" value="option5">
  <label class="form-check-label" for="inlineRadio2">มีทางข้าม</label>
  </div>
  <div class="form-check form-check-inline">
  <input class="form-check-input" type="radio" name="inlineRadioOptions4" id="inlineRadio2" value="option6">
  <label class="form-check-label" for="inlineRadio2">ไม่มีทางข้าม</label>
  </div>
</div>
</div>
</div>


<div class="row">
<div class="col-6">
  <div class="mt-5 text-left">
  <h5>สะพานลอยคนข้าม</h5>
  <p>บนสายหลัก</p>
  <div class="form-check form-check-inline">
  <input class="form-check-input" type="radio" name="inlineRadioOptions5" id="inlineRadio5" value="option7">
  <label class="form-check-label" for="inlineRadio1">มีสะพานลอย</label>
  </div>
  <div class="form-check form-check-inline">
  <input class="form-check-input" type="radio" name="inlineRadioOptions5" id="inlineRadio5" value="option8">
  <label class="form-check-label" for="inlineRadio1">ไม่มีสะพานลอย</label>
  </div>
  <p>บนสายรอง</p>
  <div class="form-check form-check-inline">
  <input class="form-check-input" type="radio" name="inlineRadioOptions6" id="inlineRadio6" value="option9">
  <label class="form-check-label" for="inlineRadio2">มีสะพานลอย</label>
  </div>
  <div class="form-check form-check-inline">
  <input class="form-check-input" type="radio" name="inlineRadioOptions6" id="inlineRadio6" value="option10">
  <label class="form-check-label" for="inlineRadio2">ไม่มีสะพานลอย</label>
  </div>
</div>
</div>

<div class="col-6">
<div class="mt-5 text-left">
  <h5>อุโมงค์หรือสะพานข้ามแยก</h5>
  <div class="form-check form-check-inline">
  <input class="form-check-input" type="radio" name="inlineRadioOptions7" id="inlineRadio7" value="option11">
  <label class="form-check-label" for="inlineRadio1">บนสายหลัก</label>
  </div>
  <div class="form-check form-check-inline">
  <input class="form-check-input" type="radio" name="inlineRadioOptions7" id="inlineRadio7" value="option12">
  <label class="form-check-label" for="inlineRadio2">บนสายรอง</label>
  </div>
</div>
</div>
</div>

  <div class="col-12 mt-5">
    <button class="btn btn-lg btn-primary text-white" type="submit">บันทึกข้อมูล</button>
  </div>
</form>
</div>
  </template>
  
  <script>
  export default {
    name: "formComponent",
    data() {
      return {
      
      };
    },
  
    methods: {
 
    },
  };
  </script>